/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { __extends } from "tslib";
import { ColumnDescription } from "./ColumnDescription";
import { markType } from "./type";
/**
 * @hidden
 */
var NumericColumnDescription = /** @class */ /*@__PURE__*/ (function (_super) {
    __extends(NumericColumnDescription, _super);
    function NumericColumnDescription() {
        var _this = _super.call(this) || this;
        _this.fu = null;
        _this.fw = null;
        _this.fv = null;
        _this.fx = null;
        _this.fj = 0;
        _this.fk = 0;
        _this.fl = 0;
        _this.fh = false;
        _this.ft = null;
        _this.fb = null;
        _this.fs = null;
        _this.fr = null;
        _this.fp = null;
        _this.fe = null;
        _this.fq = null;
        _this.fa = null;
        return _this;
    }
    NumericColumnDescription.prototype.get_type = function () {
        return "NumericColumn";
    };
    Object.defineProperty(NumericColumnDescription.prototype, "negativePrefix", {
        get: function () {
            return this.fu;
        },
        set: function (a) {
            this.fu = a;
            this.e("NegativePrefix");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(NumericColumnDescription.prototype, "positivePrefix", {
        get: function () {
            return this.fw;
        },
        set: function (a) {
            this.fw = a;
            this.e("PositivePrefix");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(NumericColumnDescription.prototype, "negativeSuffix", {
        get: function () {
            return this.fv;
        },
        set: function (a) {
            this.fv = a;
            this.e("NegativeSuffix");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(NumericColumnDescription.prototype, "positiveSuffix", {
        get: function () {
            return this.fx;
        },
        set: function (a) {
            this.fx = a;
            this.e("PositiveSuffix");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(NumericColumnDescription.prototype, "maxFractionDigits", {
        get: function () {
            return this.fj;
        },
        set: function (a) {
            this.fj = a;
            this.e("MaxFractionDigits");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(NumericColumnDescription.prototype, "minFractionDigits", {
        get: function () {
            return this.fk;
        },
        set: function (a) {
            this.fk = a;
            this.e("MinFractionDigits");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(NumericColumnDescription.prototype, "minIntegerDigits", {
        get: function () {
            return this.fl;
        },
        set: function (a) {
            this.fl = a;
            this.e("MinIntegerDigits");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(NumericColumnDescription.prototype, "showGroupingSeparator", {
        get: function () {
            return this.fh;
        },
        set: function (a) {
            this.fh = a;
            this.e("ShowGroupingSeparator");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(NumericColumnDescription.prototype, "formatString", {
        get: function () {
            return this.ft;
        },
        set: function (a) {
            this.ft = a;
            this.e("FormatString");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(NumericColumnDescription.prototype, "formatSpecifiers", {
        get: function () {
            return this.fb;
        },
        set: function (a) {
            this.fb = a;
            this.e("FormatSpecifiers");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(NumericColumnDescription.prototype, "formatOverrideRef", {
        get: function () {
            return this.fs;
        },
        set: function (a) {
            this.fs = a;
            this.e("FormatOverrideRef");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(NumericColumnDescription.prototype, "editorType", {
        get: function () {
            return this.fr;
        },
        set: function (a) {
            this.fr = a;
            this.e("EditorType");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(NumericColumnDescription.prototype, "editorDataSourceRef", {
        get: function () {
            return this.fp;
        },
        set: function (a) {
            this.fp = a;
            this.e("EditorDataSourceRef");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(NumericColumnDescription.prototype, "editorDataSource", {
        get: function () {
            return this.fe;
        },
        set: function (a) {
            this.fe = a;
            this.e("EditorDataSource");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(NumericColumnDescription.prototype, "editorTextField", {
        get: function () {
            return this.fq;
        },
        set: function (a) {
            this.fq = a;
            this.e("EditorTextField");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(NumericColumnDescription.prototype, "editorValueField", {
        get: function () {
            return this.fa;
        },
        set: function (a) {
            this.fa = a;
            this.e("EditorValueField");
        },
        enumerable: false,
        configurable: true
    });
    NumericColumnDescription.$t = markType(NumericColumnDescription, 'NumericColumnDescription', ColumnDescription.$);
    NumericColumnDescription.__canMarshalByValue1 = true;
    return NumericColumnDescription;
}(ColumnDescription));
export { NumericColumnDescription };
